# $Revision: 1.20 $, $Date: 2004/12/24 21:49:17 $

%define	module	qp_xml

Summary:	Class library to render XML documents from within Python
Summary(pl):	Modu do renderowania dokumentw XML przy uyciu Pythona
Name:		python-%{module}
Version:	1.0
Release:	7
License:	distributable
Group:		Libraries/Python
Source0:	%{module}-%{version}.tar.gz
# Source0-md5:	5e3936c5824ec766838c99f3d14a441f
#Source0:	http://www.lyra.org/greg/python/qp_xml.py
URL:		http://www.lyra.org/greg/python/
Requires:	expat
%pyrequires_eq	python
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides quick XML documents rendering using expat parser.

%description -l pl
Ten modu umoliwia szybkie renderowanie dokumentw XML przy uyciu
parsera expat.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

install *.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}

rm $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-qp_xml.spec,v $
Revision 1.20  2004/12/24 21:49:17  arekm
- rel 7

Revision 1.19  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.18  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.17  2004/01/19 14:32:51  jajcus
- Release: 6
- new architecture-independent python modules paths

Revision 1.16  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.13  2002/04/11 13:55:14  wrobell
- rel. 5, stb

Revision 1.12  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.11  2002/03/18 07:19:48  wrobell
- group changed to Libraries/Python
- rel. 4
- stb

Revision 1.10  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.7  2002/02/04 03:24:15  kloczek
- release 3: rebuild agains python 2.2 and adapterize spec file.

Revision 1.6  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/12 11:03:27  qboosh
- typo

Revision 1.4  2001/11/12 10:24:13  wrobell
- use standard python macros
- compile sources and install only compiled and optimized binaries
- fixed requirements
- rel. 2
- stb

Revision 1.3  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.2  2001/10/02 12:23:13  qboosh
- added URLs

Revision 1.1  2001/02/20 03:34:35  siefca
- initial revision
